diff -NaubB ./make-3.81/variable.c ./make-3.81g/variable.c
--- ./make-3.81/variable.c	2006-03-08 17:15:08.000000000 -0300
+++ ./make-3.81g/variable.c	2007-12-11 13:06:28.000000000 -0300
@@ -30,6 +30,8 @@
 #include "pathstuff.h"
 #endif
 #include "hash.h"
+#include "plugin_support.h"
+
 
 /* Chain of all pattern-specific variables.  */
 
@@ -168,6 +170,8 @@
   struct variable **var_slot;
   struct variable var_key;
 
+  notify_var_define(name, value, origin);
+  
   if (set == NULL)
     set = &global_variable_set;
 
@@ -341,10 +346,14 @@
 {
   const struct variable_set_list *setlist;
   struct variable var_key;
+  char* const copied_name = (char*)malloc(length+1);
 
   var_key.name = (char *) name;
   var_key.length = length;
 
+  memcpy(copied_name, name, length);
+  copied_name[length] = 0;
+  
   for (setlist = current_variable_set_list;
        setlist != 0; setlist = setlist->next)
     {
@@ -353,8 +362,12 @@
 
       v = (struct variable *) hash_find_item ((struct hash_table *) &set->table, &var_key);
       if (v)
+      {
+        notify_var_lookup(copied_name, v->value, v->origin);
+	free(copied_name);
 	return v->special ? handle_special_var (v) : v;
     }
+    }
 
 #ifdef VMS
   /* since we don't read envp[] on startup, try to get the
@@ -403,15 +416,21 @@
               }
 
             *nptr = '\0';
+    	    notify_var_lookup(copied_name, nvalue, o_env);
+	    free(copied_name);
             return define_variable (vname, length, nvalue, o_env, 1);
 
           }
 
+    	notify_var_lookup(copied_name, value, o_env);
+	free(copied_name);
         return define_variable (vname, length, value, o_env, 1);
       }
   }
 #endif /* VMS */
 
+  notify_var_lookup(copied_name, 0, 0);
+  free(copied_name);
   return 0;
 }
 
Common subdirectories: ./make-3.81/w32 and ./make-3.81g/w32
